#include <stdio.h>
#include <stdlib.h>
#include <time.h>

#include "command.h"
#include "c2.h"

int main(int argc, char **argv)
{
	Command *cmd;

	c2_init();

	srand(time(NULL));

	cmd = Command::setup(stdin);
	if(cmd == NULL){
		Command::redirect();
		return EXIT_SUCCESS;
	}

	cmd->execute();
	
	delete cmd;
	
	return EXIT_SUCCESS;
}
