#ifndef LOG_H
#define LOG_H

#include <stdio.h>
#include <stdlib.h>
#include <stdarg.h>
#include <sys/file.h>

#include <string>

#include "table.h"

static inline void logout(const char *format, ...)
{
	std::string path;

	FILE *fp;
	
	va_list val;

	path = BASE;
	path += LOG_TXT;

	fp = fopen(path.c_str(), "a+");
	if(fp == NULL){
		return;
	}
	
	flock(fileno(fp), LOCK_EX);

	va_start(val, format);
	vfprintf(fp, format, val);
	va_end(val);

	fclose(fp);
}

#endif // LOG_H
